//функции определения размеров экрана
function getViewportSize() {
	var a = document.documentElement,
	d = document.body,
	b = document.compatMode == "CSS1Compat",
	c = window.opera,
	e = b && c ? window.innerWidth : b && !c ? a.clientWidth : d.clientWidth;
	a = b && c ? window.innerHeight : b && !c ? a.clientHeight : d.clientHeight;
	return [e, a]//ширина и высота видимой части
};


function cyr2lat(str) {
    
	var cyr2latChars = new Array(['а', '|a|'], ['б', '|b|'], ['в', '|v|'], ['г', '|g|'], ['д', '|d|'],  ['е', '|e|'], ['ё', '|yo|'], ['ж', '|zh|'], ['з', '|z|'], ['и', '|i|'], ['й', '|y|'], ['к', '|k|'], ['л', '|l|'], ['м', '|m|'],  ['н', '|n|'], ['о', '|o|'], ['п', '|p|'],  ['р', '|r|'], ['с', '|s|'], ['т', '|t|'], ['у', '|u|'], ['ф', '|f|'], ['х', '|h|'],  ['ц', '|c|'], ['ч', '|ch|'],['ш', '|sh|'], ['щ', '|shch|'], ['ъ', '|tz|'],  ['ы', '|y|'], ['ь', '|mz|'],  ['э', '|ee|'], ['ю', '|yu|'], ['я', '|ya|']);

    var newStr = new String();

    for (var i = 0; i < str.length; i++) {

        ch = str.charAt(i);
        var newCh = '';

        for (var j = 0; j < cyr2latChars.length; j++) {
            if (ch.toLowerCase() == cyr2latChars[j][0]) {
                newCh = cyr2latChars[j][1];
            }
        }
		if(newCh == '') newCh = ch;
        // Если найдено совпадение, то добавляется соответствие, если нет - пустая строка
        newStr += newCh;

    }
    // Удаляем повторяющие знаки - Именно на них заменяются пробелы.
    // Так же удаляем символы перевода строки, но это наверное уже лишнее
    if(newStr == null) newStr = '';
    return newStr.replace(/\n/gim, '');
}

		
//постраничная новигация, нажата соответствующая страница
function loadPage(id, url, from, action){
	if(typeof action === "undefined") action = '';
	if(url != 'news/digests' || action == 'digests') advanced_search_data();
	$(document).ready(function(){  
		$('.mblock_pg_active').addClass('mblock_pg');
		$('.mblock_pg_active').removeClass('mblock_pg_active');
		$(this).addClass('mblock_pg_active');
		$(this).removeClass('mblock_pg');
		$(this).next(".mblock_pg").removeClass('hide_block');
		//alert(cyr2lat(id));
		$.ajax({
			url:"/"+url+"/ajx/r/"+cyr2lat(id),
			type:"GET",
			dataType:"html",
			data:"from="+from+"&action="+action,
			beforeSend: function(){
				$('body,html').animate({scrollTop: 0}, "slow");
				$('.loadcontent').animate({opacity:'show'},'slow');
			},
			success: function(html){
				$('.loadcontent').animate({opacity:'hide'},'fast');
				$('#base_content').empty();
				$('#base_content').append(html);
			}
		});
	});
}



//определяем размеры экрана
var viewportSize = getViewportSize();
var intervalID;
// закрывает overlay
function closeoverlay(){
	$(document).ready(function(){	
		$("#overlay").hide();
		$(".overlay_cildren").hide();
		$(".view_pic").hide();
		$("#editNews").remove();
	});
}
			
//подсчёт просмотра если активна новость в течении 6 минут
function newsActiveIn(id, type){	
	$(document).ready(function(){			
		if($("#viewed_"+id).val() == 0) {//проверяет запускался ли ajax добавления просмотра								
			intervalID = setInterval(function(){
				addViewVote(id, type);
			},6000);
		}		
	}); 
}
function newsActiveOut(id, type){	
	$(document).ready(function(){
		clearInterval(intervalID);
	});
}
	
//всплывающее окно новостей
function showNewsWindow(id, type){
	$(document).ready(function(){
		$('#new_'+id).easyTooltip({useElement: "item_"+id});// всплывающее окно новости
		$('#new_'+id).hover(function(){//добавляет просмотр если пользователь задержался на 6 минут на записи
			if($("#viewed_"+id).val() == 0) {//проверяет запускался ли ajax добавления просмотра								
				eval("intervalID" + id + '= setInterval(function(){addViewVote(id, type)},6000);');
			}	
		},function(){
			if($("#viewed_"+id).val() == 0) {
				clearInterval(eval("intervalID" + id));
			}
		});
	});
}

// показ фрейма, нажата кнопка с рисунком лупы   
function showFrame(id, type, url, baseurl, html, fw, fh){
    $(document).ready(function(){
        $('#linkframe').empty();
        $('#frame').empty();
        $('#linkframe').append('<b>Источник:&nbsp;&nbsp;</b><a target="blank" href="'+url+'">'+baseurl+'</a>');

        addViewVote(id, type);

        if(viewportSize[0]<1280) var w = viewportSize[0]-100;
        else var w = 1100;

        var h = viewportSize[1]-30;
        var leftframe = (viewportSize[0]-w)/2;
        $('#windowframe').css({'left':leftframe});

        var LOC = self.location.toString();

        if(fw > 0 && fh > 0){

            $("#frame").html('<div style="display:block; width:720px; text-align:center;"><OBJECT width="' + fw + '" height=" '+ fh + '"><PARAM name="movie" value=""></PARAM><PARAM name="wmode" value=opaque"></PARAM></PARAM><PARAM name="wmode" value="opaque"></PARAM><PARAM name="allowFullScreen" value="true"></PARAM><EMBED src="' + html + '" type="application/x-shockwave-flash" wmode="opaque" width="' + fw + '" height="' + fh + '" allowFullScreen="true" ></EMBED></OBJECT></div><br /><br />');
            var wdth = (viewportSize[0]-fw)/2;
            var hght = (h-fh)/2;
            $("#windowframe").css({"top" : hght, "left" : wdth});
        } else if(LOC.search(/\/youtube/g) != -1) {
            $("#frame").html('<div style="display:block; width:720px; text-align:center;"><OBJECT width="' + w + '" height=" '+ h + '"><PARAM name="movie" value=""></PARAM><PARAM name="wmode" value=opaque"></PARAM></PARAM><PARAM name="wmode" value="opaque"></PARAM><PARAM name="allowFullScreen" value="true"></PARAM><EMBED src="' + html + '" type="application/x-shockwave-flash" wmode="opaque" width="' + w + '" height="' + h + '" allowFullScreen="true" ></EMBED></OBJECT></div><br /><br />');
            var wdth = (viewportSize[0]-w)/2;
            var hght = (h-h)/2;
            $("#windowframe").css({"top" : hght, "left" : wdth});
        } else {
            $("#frame").html("<iframe src=\"" + html + "\" width=\"" + w + "\" height=\"" + h + "\"></iframe>");
        }
        $('#windowframe').css({"visibility":"visible"});
    });
}

// открывает поле голосования по новости
function addShowVote(id, type) {
	$(document).ready(function(){
		$(".vote_panel").hide();  
		$(".vote_panel"+id).toggle();
		addViewVote(id, type);
	});
}

// добавляет просмотр по нововсти
function addViewVote(id, type) {
	$(document).ready(function(){
		if($("#viewed_"+id).val() == 0) {//проверяет запускался ли ajax добавления просмотра	
			if(type == true) var urlAjx = '/news/ajx/SetViewNewsAjax/'+id;
			else  var urlAjx = '/news/ajx/SetViewPublicationsAjax/'+id;
			$.ajax({
				url: urlAjx,   
				dataType : 'html',  
				beforeSend: function(){								
					$("#viewed_"+id).val(1);
				},
				success: function(html) {
					$(".view_"+id).empty();
					$(".view_"+id).append(html);
				}
			});
		}
	});
}
//для просчёта рейтинга
function addVoteNews(type, id_news, important, positive){
	voteBlock = $(".voteBlock"+id_news);
	$.ajax({
		url:"/news/ajx/Vote",
		type:"POST",
		data:"type=" + type + "&id_news=" + id_news + "&important=" + important + "&positive=" + positive,
		dataType:"html",
		success: function(html){					
			$(".vote_panel").hide();
			voteBlock.empty();
			voteBlock.append(html);	
		}		
	});	
}

//счётчики важности позитивночти новости
function addVote(id, type, unimportant, important, negative, positive, vote, weight){
	$(document).ready(function(){ 
		var voteold = $("#voteold"+id).text();
		// пользователь уже голосовал вычетаем старый голос
		if(voteold != 0){
			if(voteold == 'n'){
				negative = negative - weight;
			} else
			if(voteold == 'p'){
				positive = positive - weight;
			} else
			if(voteold == 'u'){
				unimportant = unimportant - weight;
			} else
			if(voteold == 'i'){
				important = important - weight;
			} 
		}
		
		// добавляем новый голос
		if(vote == 'n'){
			negative = (negative - 0) + (weight-0);
		} else
		if(vote == 'p'){
			positive = (positive - 0) + (weight-0);
		} else
		if(vote == 'u'){
			unimportant = (unimportant - 0) + (weight-0);
		} else
		if(vote == 'i'){
			important = (important - 0) + (weight-0);
		} 
		
		// меняет сумму и цвет основного счётчика
		var ratioPositive = positive-negative;	
		var ratioImportant = important-unimportant;
		$(".rvote" + id).text(ratioImportant);
		
		// удаляем старый класс цвета
		$(".rvote" + id).removeClass("vpi");
		$(".rvote" + id).removeClass("vni");
		$(".rvote" + id).removeClass("npi");
		$(".rvote" + id).removeClass("nni");
		
		// проверяем соотношение для определения нового класса цвета
		if(ratioImportant >= 0){
			if(ratioPositive >= 0) $(".rvote" + id).addClass("vpi");
			else $(".rvote" + id).addClass("vni");
		} else {
			if(ratioPositive >= 0) $(".rvote" + id).addClass("npi");
			else $(".rvote" + id).addClass("nni");
		}
	});
}

//выбор редакции
function selectRedaction(id, type){
	$(document).ready(function(){ 		
		if($("#sel_red_"+id).hasClass("sel_red_active") == true){
			$.ajax({
				url:"/news/ajx/sel_red",
				type:"GET",
				dataType:"html",
				data:"news_id="+id+"&val=0&typenews="+type,
				success: function(html){
					if(html != "") alert(html);
					$("#sel_red_"+id).removeClass("sel_red_active");
				}
			});
		} else {
			$.ajax({
				url:"/news/ajx/sel_red",
				type:"GET",
				dataType:"html",
				data:"news_id="+id+"&val=1&typenews="+type,
				success: function(html){
					if(html != "") alert(html);
					$("#sel_red_"+id).addClass("sel_red_active");
				}
			});
		}
	});
}



function changeCss(){	
	if($("#phrase_search").val() == "Поиск") $("#phrase_search").css({"color": "#999","font-style" : "italic"});
	else $("#phrase_search").css({'color': '#000','font-style' : 'normal'});
}

function popularChecked(id, url, from, action){
	
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		var popular = document.getElementById("popular");
		
		if(popular.checked == true) checked = 1;
		else checked = 0;
		$.ajax({
			url:"/news/ajx/SetPopular/"+checked
		});
		loadPage(id, url, from, action);
	});
}


//функция создаёт сессию и перезагружает страницу нужным контентом 
function setPopularnews(but, ident, id, url, from, action) {
	
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		$("#Panel_rightblock .but").removeClass("butactive");
		$("#"+ ident).addClass("butactive");	
		if(but == 0){
			$.ajax({
				url:"/news/ajx/addSession/popularnews",
				type:"POST",
				data:"data=4",
				beforeSend: function(){
					$('.loadcontent').animate({opacity:'show'},'slow');
				},
				success: function(html){
					if(html != "") err = alert("Popularnews collbacked error: " + html);
					loadPage(id, url, from, action);
				}
			});
		} else {
			$.ajax({
				url:"/news/ajx/addSession/popularnews",
				type:"POST",
				data:"data="+but,
				beforeSend: function(){
					$('.loadcontent').animate({opacity:'show'},'slow');
				},
				success: function(html){
					if(html != "") err = alert("Popularnews collbacked error: " + html);
					loadPage(id, url, from, action);
				}
			});
		}
	});
}

//функция создаёт сессию и перезагружает страницу нужным контентом 
function setFilter(id, url, from, action) {
	
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){
		if($("#select_data").val() == 0){
			$.ajax({//просмотр за весь период
				url:"/news/ajx/delSession/SelectData",
				success: function(html){
					if(html != '') alert(html);
					loadPage(id, url, from, action);
				}
			});
		} else {
			$.ajax({
				url:"/news/ajx/addSession/SelectData",
				type:"POST",
				data:"data="+$("#select_data").val(),
				beforeSend: function(){
					$('.loadcontent').animate({opacity:'show'},'slow');
				},
				success: function(html){
					if(html != "") err = alert("SelectData collbacked error: " + html);
					loadPage(id, url, from, action);
				}
			});
		}
	});
}
//кнопка последних новостей
function lastNews(id, url, from, action){
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		$(".active_bt").removeClass("active_bt");
		$(this).addClass("active_bt");
		$("#subpanel").slideUp("slow");
		$.ajax({//Удаляем сессию
			url:"/news/ajx/delSession/popularnews",
			beforeSend: function(){
				$('.loadcontent').animate({opacity:'show'},'slow');
			},
			success: function(html){
				if(html != '') alert(html);
				$.ajax({//Удаляем сессию
					url:"/news/ajx/delSession/sortnews",
					success: function(html){
						if(html != '') alert(html);
						loadPage(id, url, from, action);	
					}
				});
			}				
		});							
	});
}

//кнопка популярных новостей
function popularNews(id, url, from, action){
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		if($("#popularnews").hasClass("active_bt")){
			$("#subpanel .butactive").removeClass("butactive");
			$("#popularnews").removeClass("active_bt");
			$("#lastnews").addClass("active_bt");
			$("#subpanel").slideUp("slow");
			$.ajax({//Удаляем сессию
				url:"/news/ajx/delSession/popularnews",
				beforeSend: function(){
					$('.loadcontent').animate({opacity:'show'},'slow');
				},
				success: function(html){
					if(html != '') alert(html);
					$.ajax({//Удаляем сессию
						url:"/news/ajx/delSession/sortnews",
						success: function(html){
							if(html != '') alert(html);
							loadPage(id, url, from, action);
						}
					});
				}
			});													
		} else {
			$("#subpanel .butactive").removeClass("butactive");
			$(".active_bt").removeClass("active_bt");
			$("#popularNews").addClass("active_bt");
			$("#subpanel").slideDown("slow");
			$("#weekly").addClass("butactive");
			$("#sortview").addClass("butactive");
			$.ajax({//запоминаем выбранную кнопку
				url:"/news/ajx/addSession/popularnews",
				type:"POST",
				data:"data=2",
				beforeSend: function(){
					$('.loadcontent').animate({opacity:'show'},'slow');
				},
				success: function(html){
					if(html != '') alert(html);
					$.ajax({//запоминаем выбранную кнопку
						url:"/news/ajx/SetSortnews/1",
						success: function(html){
							if(html != '') alert(html);
							loadPage(id, url, from, action);
						}
					});
				}
			});
		}
	});
}

//функция создаёт сессию и перезагружает страницу нужным контентом 
function setSortnews(but, ident, id, url, from, action) {
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		$("#Panel_leftblock .but").removeClass("butactive");
		$("#"+ ident).addClass("butactive");		
		$.ajax({//запоминаем выбранную кнопку
			url:"/news/ajx/SetSortnews/"+but,
			beforeSend: function(){
				$('.loadcontent').animate({opacity:'show'},'slow');
			},
			success: function(html){
				if(html != '') alert(html);
				loadPage(id, url, from, action);
			}
		});		
	});
}

function EloadPage(id, url, from, action, event){//перезапускает если нажат Enter
	if(typeof action === "undefined") action = '';
	var keycode;	
	if(!event) var event = window.event;
	if (event.keyCode) keycode = event.keyCode; // IE
	else if(event.which) keycode = event.which; // all browsers	
	if(keycode == 13) loadPage(id, url, from, action);
}


/* работа с дайджестами */

//удаление дайджеста
function delDigest(id){
	$(document).ready(function(){
		var answer = confirm('Вы действительно хотите удалить дайджест?');
		if(answer){
			$.ajax({
				url:"/news/ajx/delDigest/",
				type:"POST",
				data:"id=" + id,
				dataType:"html",
				success:function(html){
					$("#digestbody_" + id).hide();
				}
			});
		}
	});
}

// показ формы добавления редактирования дайджеста
function getDigestForm(id) {
	$(document).ready(function(){
		if(id != '') {
			$.ajax({
				url:"/news/ajx/getDigestForm",
				type:"POST",
				dataType:"html",
				data:"id=" + id,
				beforeSend: function(){
					$(".digestForm" + id).empty();
					$(".digestForm" + id).html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
					$(".digestForm" + id).show();
				},
				success: function(html){
					$(".digestForm" + id).empty();
					$(".digestForm" + id).append(html);
				}
			});
		} else {
			$.ajax({
				url:"/news/ajx/getDigestForm",
				type:"POST",
				dataType:"html",
				beforeSend: function(){
					$(".digestForm").empty();
					$(".digestForm").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
					$(".digestForm").show();
				},
				success: function(html){
					$(".digestForm").empty();
					$(".digestForm").append(html);
				}
			});
		}
	});
}

// показ формы добавления новости по ссылке
function getNewsForLink(id) {
	$(document).ready(function(){
		$(".digestForm").hide();
		$(".digestForm").empty();
		$(".digestForm" + id).html('<div class="close" title="Закрыть" onclick="closeDigestForm()"></div><h3>Добавление новости по ссылке</h3><table><tr><td align="right">Ссылка: </td><td><input type="text" id="linknews" onclick="$(this).select()" onfocus="$(this).select()" size="35"></td></tr></table><br /><div align="center"><div class="but" onclick="parseNews(' + id + ')">Загрузить</div></div>');
		$(".digestForm" + id).show();			
	});
}

// показ превью
function previewNews(){
	$(document).ready(function(){
		$("#editNewsbtn").show();
		$("#previewNewsbtn").hide();
		$(".editnewsone").addClass('hide_block');
		
		var txt = $("#n_anonce").val();

        if(txt == null) txt = '';
		var text = txt.replace(/\&/g, "|and|");
		
		$.ajax({
			url:"/news/ajx/getPreview",
			type:"POST",
			data:"n_anonce=" + text + "&n_publicdate=" + $("#n_publicdate").val(),
			dataType:"json",
			beforeSend: function(){
				$(".previewBody").empty();
				$(".previewBody").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
				$(".previewnews").show();
			},
			success:function(json){
				$(".previewBody").empty();
				$(".previewBody").html('<h2>' + $("#n_title").val() + '></h2><b>Дата публикации: </b><i>' + json.date + '</i><p>' + json.text + '</p><br /><b>Источник: </b>' + $("#n_link").val() + '<br />');
			}
		});
	});
}


// назначает новое заглавное изображение
function setGeneralImg(picture, tag){
	data = 'picture=' + picture;
	data += '&tag=' + tag;
	$.ajax({
		url:"/news/ajx/setGeneralImg",
		type: "POST",
		data: data,
		success:function(html){
			if(html != '') alert(html);
			else alert("Заглавное изображение изменено");
		}
	});
}


// ставим сортировку дайджестов
function saveNews(){
	$(document).ready(function(){
		
		var txt = $("#n_anonce").val();
        if(txt == null) txt = '';
		var text = txt.replace(/\&/g, "|and|");
		
		data = 'n_id_source=' + $("#n_id_source").val(); 
		data += '&n_table=' + $("#n_table").val(); 
		data += '&n_id_digest=' + $("#n_id_digest").val(); 
		data += '&n_src=' + $("#n_src").val(); 
		data += '&n_title=' + $("#n_title").val(); 
		data += '&n_link=' + $("#n_link").val(); 
		data += '&n_publicdate=' + $("#n_publicdate").val(); 
		data += '&n_anonce=' + text;
		$.ajax({
			url:"/news/ajx/saveNews",
			type:"POST",
			data:data,
			beforeSend: function(){
				$(".previewBody").empty();
				$(".previewBody").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
			},
			success: function(html){
				if(html != '') alert(html);
				else alert("запись добавлена.");
				$(".digestForm").hide();
				$(".digestForm").empty();
				$("#editNews").remove();
				closeoverlay();				
			}
		});
	});
}

// показ редактирования
function editNews(){
	$(document).ready(function(){
		$("#previewNewsbtn").show();
		$("#editNewsbtn").hide();
		$(".previewnews").hide();
		$(".editnewsone").removeClass('hide_block');;
	});
}

// парсинг новости по ссылке
function parseNews(id) {
	$(document).ready(function(){
		$.ajax({
			url:"/news/ajx/getNewsForLink",
			type:"POST",
			dataType:"html",
			data:"id_digest=" + id + "&link=" + escape($("#linknews").val()),
			beforeSend: function(){
				$(".digestForm" + id).empty();
				$(".digestForm" + id).html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
				$(".digestForm" + id).show();
			},
			success: function(html){
				//alert(html);/*
				$(".digestForm").hide();
				$(".digestForm" + id).empty();
				$("#overlay").show();
				$("body").append(html);
				var left = ($(window).width()-690)/2;
				var top = ($(window).height()-485)/2;
				$("#editNews").css("left", left + "px");
				$("#editNews").css("top", top + "px");
			}
		});
	});
}

//Добавление / редактирование дайджеста
function editDigest() {
	$(document).ready(function(){
		
		var id_news = $("#d_id_news").text();
		var type_news = $("#d_type").text();
		var digest_id = $("#digest_id").val();	
		
		$("#addDigest").submit();
		$(".digestForm").append('<br /><div align="center"><img src="/img/des/timer16.gif" alt="timer16" /></div>');
		$('iframe#rFrame').load(function(html){			
			if($("#digest_id").val() == '') showDigestsPanel(id_news, type_news);
			else {
				$.ajax({
					url:"/news/ajx/getDigest/" + digest_id,
					type:"POST",
					dataType:"json",
					success: function(json){
						$(".digestForm").hide();
						$(".digestForm").empty();
						$("#digestName_" + json.id).text(json.name);
						$("#digestDesc_" + json.id).text(json.description);
						if(json.picture != '') $("#digestImg_" + json.id).attr({ src: '/public/images/digests/' + json.picture});
					}
				});				
			}
		});
	});
}

// закрывает форму добавления дайджеста
function closeDigestForm() {
	$(document).ready(function(){
		$(".digestForm").hide();
		$(".digestForm").empty();
		$("#editNews").remove();
		closeoverlay();
	});
}

//показывает меню со списком дайджестов доступных пользователю
function showDigestsPanel(id_news, type) {
	$(document).ready(function(){
		 $.ajax({
			url:"/news/ajx/getDigestsList",
			type:"POST",
			dataType:"html",
			data:"id_news=" + id_news + "&type=" + type,
			beforeSend: function(){
				$(".digestsPanel").hide();
				$(".digestsPanel").empty();
				$(".digestsPanel").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
				$("#digestsPanel" + id_news).show();
			},
			success: function(html){
				$("#digestsPanel" + id_news).empty();
				$("#digestsPanel" + id_news).append(html);
			}
		});
	});
}

function closeDigestPanel(){
	$(document).ready(function(){
		$(".digestsPanel").hide();
	});
}
	
//добавление новости к дайджесту
function addNewsDigest(id_news, type, id){
	$(document).ready(function(){
		var start = false
		if($(".digest" + id).hasClass("digestSel") == true) {
			if (confirm("Вы действительно хотите удалить новость?")) {
				start = true;
			} else start = false;
			
			var url = "/news/ajx/delNewsDigest";
		} else {
			var url = "/news/ajx/addNewsDigest";
			start = true;
		}
		if(start == true){
			$.ajax({
				url:url,
				type:"POST",
				dataType:"html",
				data:"id_news=" + id_news + "&type=" + type + "&id=" + id,
				beforeSend: function(){;
					$(".digestTimer" + id).show();
				},
				success: function(html){
					if(html != '') alert(html);
					$(".digestTimer" + id).hide();
					
					if($(".digest" + id).hasClass("digestSel") == true) {
						$(".digest" + id).removeClass("digestSel");
						$(".digest" + id).attr("title", "Добавить новость к дайджесту");
					}
					else {
						$(".digest" + id).addClass("digestSel");
						$(".digest" + id).attr("title", "Удалить новость из дайджеста");
					}
				}
			});
		}
	});
}

function delNewsDigest(id_news, type, id){
	$(document).ready(function(){
		if (confirm("Вы действительно хотите удалить новость?")) {
			$.ajax({
				url:"/news/ajx/delNewsDigest",
				type:"POST",
				dataType:"html",
				data:"id_news=" + id_news + "&type=" + type + "&id=" + id,
				success: function(html){
					if(html != '') alert(html);					
					$(".row" + id_news).remove();					
				}
			});
		}
	});
}
function delNews(id_news, type){
	$(document).ready(function(){
		if (confirm("Вы действительно хотите удалить новость?")) {
			$.ajax({
				url:"/news/ajx/delNews",
				type:"POST",
				dataType:"html",
				data:"id_news=" + id_news + "&type=" + type,
				success: function(html){
					if(html != '') alert(html);					
					else $(".row" + id_news).remove();					
				}
			});
		}
	});
}
function delNewsInside(id_news, type, href){
	$(document).ready(function(){
		if (confirm("Вы действительно хотите удалить новость?")) {
			$.ajax({
				url:"/news/ajx/delNews",
				type:"POST",
				dataType:"html",
				data:"id_news=" + id_news + "&type=" + type,
				success: function(html){
					if(html != '') alert(html);
					else window.location.href = href;					
				}
			});
		}
	});
}

// скрывает панель редактирования описания
function hideEditDescPanel(){
	$(document).ready(function(){
		$.ajax({
			url:"/news/ajx/editTagDesc",
			success: function(){
				$("#editTagDescPanel").hide();
			}
		});
	});
}

// показывает панель редактирования описания
function showEditDescPanel(){
    $(document).ready(function(){
        $("#editTagDescPanel").show();
    });
}

// изменяет описание
function changeTagDesc(id){
	$(document).ready(function(){
		var txt = $("#tagdesc").val();
        if(txt == null) txt = '';
		var text = txt.replace(/\&/g, "|and|");
		
		$.ajax({
			url:"/news/ajx/editTagDesc",
			type:"POST",
			dataType:"json",
			data:"text=" + text + "&id=" + id,
			beforeSend: function(){
				$("#edittagdesc").hide();
				$("#timerTagDesc").show();
			},
            error: function() {
                console.log('error');
            },
			success: function(json){
				$("#edittagdesc").show();
				$("#timerTagDesc").hide();
				if($("#taginfodesc").html() != ''){
                    $("#taginfodesc").empty();
                    $("#taginfodesc").append('<p>' + json.desc + '</p>');
                } else {
                    $("#Baseinfotag").append('<div id="taginfodesc"><p>' + json.desc + '</p><div class="both"></div></div>');
                }
				$("#editTagDescPanel").hide();
			}
		});
	});
}

function closeTagDesc(){
	$(document).ready(function(){
		$("#editTagDescPanel").hide();
	});
}

/* работа с тегами */

//открытие панели добавления тега к новости
function addTag(table, id, id_source, type_source){
	$(document).ready(function(){
        if(id == null) id = '';
		 var code = id.replace(/\&/g, "|and|");//в случае передачи от изображения
		 
		 if(table == 'pictures') {
			 var str = id.replace(/\W/g,"");
			 id = str;
		 }
		 var data = "table=" + table + "&id=" + code + "&id_source=" + id_source + "&type_source=" + type_source;	

		 $.ajax({
			url:"/news/ajx/getAddTagPanel",
			type:"POST",
			dataType:"html",
			data:data,
			beforeSend: function(){
				$(".add_tag_panel").hide();
				$(".add_tag_panel").empty();
				$(".add_tag_panel").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
				$("#atp" + id).show();
			},
			success: function(html){
                html += ' ';
                $("#atp" + id).empty();
				$("#atp" + id).append(html.replace(/\|and\|/, "&"));
				$("#name_tag").focus();
				$("#name_tag").load(function(){
					$("#name_tag").focus();
				});
			}
		});
	});
}

//добавление вип тегов новостей
function addVipTag(table, id_tag, tag, ID, type_source, id_source, stl){
	$(document).ready(function(){

        if(ID == null) ID = '';
		var code = ID.replace(/\&/g, "|and|");//в случае передачи от изображения
		var id = ID.replace(/\W/g, "");		
		if(stl == '') stl = 'greyFont';
		var taglist = $("#taglist" + id).children('.taglist');
		
		if($("#viptag" + id_tag).hasClass("vipSel") == true) { // убмраем тег
			if (confirm("Вы действительно хотите удалить тег \"" + tag + "\"?")) {
				var dt = "table=" + table + "&id_tag=" + id_tag + "&id=" + code;
				 $.ajax({
					url:"/news/ajx/deleteTag",
					type:"POST",
					dataType:"html",
					data: dt,
					beforeSend: function(){
						$("#tagTimer" + id_tag).show();
					},
					success: function(html){
						if(html != '') alert(html);
						$("#viptag" + id_tag).removeClass("vipSel");
						$("#tagTimer" + id_tag).hide();
						$("#nametag" + id + "_" + id_tag).hide();
						$("#del_tag" + id + "_" + id_tag).hide();
						$("#restore" + id + "_" + id_tag).show();
					}
				});
			}
		} else { // добавляем тег
			$.ajax({
				url:"/news/ajx/addTag",
				type:"POST",
				dataType:"html",
				data:"table=" + table + "&tag=" + tag + "&id=" + code + "&type_source=" + type_source + "&id_source=" + id_source,
				beforeSend: function(){
					$("#tagTimer" + id_tag).show();
				},
				success: function(){
					$("#viptag" + id_tag).addClass("vipSel");
					taglist.children(".noTags").hide();
					taglist.append('<table class="tag"><tr><td><a id="nametag' + id + '_' + id_tag + '" class="nametag ' + stl + '" href="http://so-l.ru/news/tags/' + tag + '">' + tag + '</a><div id="restore' + id + '_' + id_tag + '" class="restore" title="' + tag + '" onclick="restoreTag(\'' + table + '\', \'' + id_tag + '\', \'' + tag + '\', \'' + code + '\')">Востановить</div></td><td></td><td><div id="del_' + id + '_' + id_tag + '" class="del_tag" title="удалить тег ' + tag + '"  onclick="deleteTag(\'' + table + '\', \'' + id_tag + '\', \'' + code + '\')"></div></td><td></td></tr></table>');
					$("#tagTimer" + id_tag).hide();
				}
			});
		}
	});
}

//удаление тега
function deleteTag(table, id_tag, ID){	
	$(document).ready(function(){

        if(ID == null) ID = '';
		 var code = ID.replace(/\&/g, "|and|");//в случае передачи от изображения
		 var id = ID.replace(/\W/g, "");
		 $.ajax({
			url:"/news/ajx/deleteTag",
			type:"POST",
			dataType:"html",
			data:"table=" + table + "&id_tag=" + id_tag + "&id=" + code,
			beforeSend: function(){				
				//alert("table=" + table + "&id_tag=" + id_tag + "&id=" + id);
				$("#nametag" + id + "_" + id_tag).hide();
				$("#del_tag" + id + "_" + id_tag).hide();
				$("#restore" + id + "_" + id_tag).show();
			},
			success: function(html){
				//if(html != '') alert(html);
			}
		});
	});
}

//востановление тега
function restoreTag(table, id_tag, tag, ID, type_source, id_source){
	$(document).ready(function(){
        if(ID == null) ID = '';
		 var id = ID.replace(/\W/g, "");
		 var code = ID.replace(/\&/g, "|and|");//в случае передачи от изображения
		 $.ajax({
			url:"/news/ajx/addTag",
			type:"POST",
			dataType:"html",
			data:"table=" + table + "&tag=" + tag + "&id=" + code + "&type_source=" + type_source + "&id_source=" + id_source,
			success: function(html){
				if(html != '') alert(html);
				$("#restore" + id + "_" + id_tag).hide();
				$("#nametag" + id + "_" + id_tag).show();
				$("#del_tag" + id + "_" + id_tag).show();
			}
		});
	});	
}

//закрывает окно добавления тега
function closeTagPanel(){
	$(document).ready(function(){
		$(".add_tag_panel").empty();
		$(".add_tag_panel").hide();
	});
}


$(document).ready(function(){		
	
	$("#digestsMy").live("click", function(){
		$("#digestsMy").addClass("butactive");
		$("#digestsAll").removeClass("butactive");
		$(".digestsAllList").hide();
		$(".digestsMyList").show();
	});
	$("#digestsAll").live("click", function(){
		$("#digestsAll").addClass("butactive");
		$("#digestsMy").removeClass("butactive");
		$(".digestsMyList").hide();
		$(".digestsAllList").show();
	});
		
	//показывает атрибуты группы тегов
	$("#group_nt").live("change", function (){
		var id = $(this).val();
		$(".group_attr").hide();
		$(".group_attr_"+id).show();
	});
	
	function checkTag(tag, place){
		$.ajax({//проверяем есть ли полное соответствие записи в поле вариантам в суггесторе
			url:"/news/ajx/checkTag",
			type:"POST",
			data:"tag="+tag,
			dataType:"html",
			success: function(html){
				if(html == "") {
					$(".atp_attr").show();
					$(".h_addtag").text('Создать тег и добавить к новости');
					$("#addtag").show();					
				} else {
					place.val(html);
					$("#addtag").show();
					if(place.hasClass("attr") == false) {
						if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
						$(".h_addtag").text('Добавить тег к новости');
					}
				}
			}
		});
	}
		
	//сугестор для тегов
	var intervalID_sutag;
	$(".inputstag").live("keyup", function(event){
		var keycode;
		var place = $(this);
		var tag = $(this).val();
		var suggestion = $(this).next(".suggestions_tags");
		if(!event) var event = window.event;
		if (event.keyCode) keycode = event.keyCode; // IE
		else if(event.which) keycode = event.which; // all browsers	
		clearInterval(intervalID_sutag);//отсанавливаем старый таймер и запускаем новый
		
		if(tag == ""){
			$("#addtag").hide();
			if(place.hasClass("attr") == false) {
				$(".atp_attr").hide();	
				$(".h_addtag").text('Добавить тег к новости');		
			}
		}
		
		if(tag != "" && keycode != 38 && keycode != 40 && keycode != 13){
			intervalID_sutag = setInterval(function(){
				clearInterval(intervalID_sutag);
				
				if(tag == "") $("#addtag").hide();
				suggestion.css("visibility", "visible");
				$(".help").show();
				suggestion.show();
				$.ajax({
					url:"/news/ajx/searchTag",
					type:"POST",
					data:"tag="+tag,
					dataType:"html",
					beforeSend: function(){
						suggestion.html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
					},
					success: function(html){									
						if(html == "") {
							checkTag(tag, place); //проверяем на полное соотведствие тега
							suggestion.hide();											
						} else {
							suggestion.html(html);
						}
					}
				});
			}, 300);	
		} else if(tag != "" && keycode == 13){
			var tg = checkTag(tag, place); //проверяем на полное соотведствие тега
			if(tg == true) $("#addtag").show();
			suggestion.fadeOut("slow", function(){
				suggestion.css("visibility", "hidden");
				if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
				$(".help").hide();
			});
		} else if(tag != "" && keycode == 40){
			$(".search_select").removeClass("search_select");	
			suggestion.children(".itemmenu:first").addClass("search_select")
			suggestion.children(".itemmenu:first").focus();
			suggestion.children(".itemmenu:first").text();
		} else if(tag != "" && keycode == 38){
			$(".search_select").removeClass("search_select");	
			suggestion.children(".itemmenu:first").addClass("search_select")
			suggestion.children(".itemmenu:last").focus();
		} else if(keycode != 38 && keycode != 40 && keycode != 13){
			suggestion.fadeOut("slow", function(){
				suggestion.css("visibility", "hidden");
				if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
				$(".help").hide();
			});		
		} 
		
		//return false;	
	});
	
		
	$(".itemmenu").live("click", function(){
		var place = $(this);
		var text = place.attr("title");
		var suggestion = place.parent(".suggestions_tags");
		var input = suggestion.prev(".inputstag");
		input.val(text);
		$("#addtag").show();
		suggestion.fadeOut("slow", function(){
			suggestion.css("visibility", "hidden");
			if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
			$(".help").hide();
		});
		
		//return false;
	});
	
	$(".itemmenu").live("keydown", function(event){
		var keycode;
		var place = $(this);
		var suggestion = $(this).parent(".suggestions_tags");
		var input = suggestion.prev(".inputstag");			
		if(!event) var event = window.event;
		if (event.keyCode) keycode = event.keyCode; // IE
		else if(event.which) keycode = event.which; // all browsers	
		if(keycode == 38) {
			if(suggestion.children(".itemmenu:first") != place){
				$(".search_select").removeClass("search_select");
				place.prev().addClass("search_select");
				place.prev().focus();
			} else {			
				input.focus();
			}
		}
		else if(keycode == 40) {
			if(suggestion.children(".itemmenu:last") != place){
				$(".search_select").removeClass("search_select");
				place.next().addClass("search_select");
				place.next().focus();
			} else {
				input.focus();
			}
		}
		else if(keycode == 13) {
			var text = place.attr("title");
			var input = suggestion.prev(".inputstag");
			input.val(text);
			if(input.hasClass("attr") == false) {
				if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
			}
			$("#addtag").show();
			suggestion.fadeOut("slow", function(){
				suggestion.css("visibility", "hidden");
				if(suggestion.hasClass("attrs") == false) $(".atp_attr").hide();
				$(".help").hide();
			});
		}
		
		//return false;
	});
});	



/* расширеная фильтрация*/

//функция записывает / удаляет данныне в соответствующих сессиях
function advanced_search_data() {
	$(document).ready(function(){ 
		var err = '';
		/*$.ajax({//Удаляем сессию что бы был отбор "за весь период" 
			url:"/news/ajx/delSession/popularnews",
			success: function(html){
				if(html != "") err = err+"/n"+html;
				$("#Panel_rightblock .butactive").removeClass("butactive");
				$("#allperiod").addClass("butactive");
			}
		});*/
		//alert();
		var show = 0; // показывать крестик
		
		if($("#phrase_search").val() == '' || $("#phrase_search").val() == 'Поиск') { //проверяем поле с поисковой фразой если пустое то удаляем соответствующую сессию
			$.ajax({
				url:"/news/ajx/delSession/phrase_search",
				success: function(html){
					if(html != "") err = err+"/n"+html;
					$("#delblock").animate({opacity: "show"}, "fast");
					
				}
			});
		} else { // есть данные создаём сессию
			show = 1;
			$.ajax({
				url:"/news/ajx/addSession/phrase_search",
				type:"POST",
				data:"data="+$("#phrase_search").val(),
				success: function(html){
					if(html != "") err = err+"/n"+html;
				}
			});
		}
		if($("#tags_search").val() == '') { //проверяем поле с тегами если пустое то удаляем соответствующую сессию
			$.ajax({
				url:"/news/ajx/delSession/tags_search",
				success: function(html){
					if(html != "") err = err+"/n"+html;
				}
			});
		} else { // есть данные создаём сессию
			show = 1;
			$.ajax({
				url:"/news/ajx/addSession/tags_search",
				type:"POST",
				data:"data="+$("#tags_search").val(),
				success: function(html){
					if(html != "") err = err+"/n"+html;
					$("#delblock").animate({opacity: "show"}, "fast");
				}
			});
		}
		if($("#withdate").val() == '' || $("#withdate").val() == 'дд.мм.гггг') { //проверяем поле с датой начала периода если пустое то удаляем соответствующую сессию 
			$.ajax({
				url:"/news/ajx/delSession/withdate",
				success: function(html){
					if(html != "") err = err+"/n"+html;
				}
			});
		} else { // есть данные создаём сессию
			show = 1;
			$.ajax({
				url:"/news/ajx/addSessionDate/withdate",
				type:"GET",
				data:"data="+$("#withdate").val(),
				success: function(html){
					if(html != "") err = err+"/n"+html;
					$("#delblock").animate({opacity: "show"}, "fast");
					$("#Panel_rightblock").addClass("hide_block");
				}
			});
		}
		
		if(($("#ondate").val() == "" || $("#ondate").val() == 'дд.мм.гггг') && ($("#withdate").val() == '' || $("#withdate").val() == 'дд.мм.гггг')) $("#Panel_rightblock").removeClass("hide_block");
		
		if($("#ondate").val() == "" || $("#ondate").val() == 'дд.мм.гггг') { //проверяем поле с датой конца периода если пустое то удаляем соответствующую сессию 
			$.ajax({
				url:"/news/ajx/delSession/ondate",
				success: function(html){
					if(html != "") err = err+"/n"+html;
				}
			});
		} else { // есть данные создаём сессию
			show = 1;					
			$.ajax({
				url:"/news/ajx/addSessionDate/ondate",
				type:"GET",
				data:"data="+$("#ondate").val(),
				success: function(html){
					if(html != "") err = err+"/n"+html;
					$("#delblock").animate({opacity: "show"}, "fast");
					$("#Panel_rightblock").addClass("hide_block");
				}
			});
		}
		//для отображения крестик
		if(show == 1) {
			$("#delfullsearch2").removeClass("hide_block");
			$("#delfullsearch2").addClass("show_block");
		} else {
			$("#delfullsearch2").removeClass("show_block");
			$("#delfullsearch2").addClass("hide_block");
		}
		
		if(err == "") return true;
		else return err;
	});
}

//отменяет расширенный поиск
function delfullsearch (id, url, from, action){
	
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		$("#Panel_rightblock").removeClass("hide_block");
		$("#delfullsearch2").addClass("hide_block");
		$("#moreSearchPanel").slideUp("slow");
		$.ajax({
			url:"/news/ajx/delSession/moresearch",
			beforeSend : function(){
				$('.loadcontent').animate({opacity:'show'},'slow');
			},
			success: function(html){
				$("#moreSearch").css({"background-image":"url(/img/des/advanced_search.png)"});
				if(html != "") alert(html);
				moresearch = 0;
				$.ajax({
					url:"/news/ajx/delSession/ondate",
					success: function(html){
						if(html != "") alert(html);
						$("#ondate").val('дд.мм.гггг');
						$.ajax({
							url:"/news/ajx/delSession/withdate",
							success: function(html){
								if(html != "") alert(html);								
								$("#withdate").val('дд.мм.гггг');
								$.ajax({
									url:"/news/ajx/delSession/tags_search",
									success: function(html){
										if(html != "") alert(html);
										$("#tags_search").val('');
										$.ajax({
											url:"/news/ajx/delSession/phrase_search",
											success: function(html){
												if(html != "") alert(html);
												$("#phrase_search").val('');
												loadPage(id, url, from, action);
											}
										});
									}
								});
							}
						});
					}
				});
			}
		});
	});
}

// ставим сортировку дайджестов
function SetDigestSort(srt, qw, id, url, from, action){
	
	if(typeof action === "undefined") action = '';
	$(document).ready(function(){ 
		$.ajax({
			url:"/news/ajx/addSession/" + srt,
			type:"POST",
			data:"data=" + qw,
			success: function(html){
				if(html != '') alert(html);
				else {
					if(srt == 'show_all_digests'){
						$(".sad").removeClass('butactive');
						$("#sad" + qw).addClass('butactive');
					} else {
						$(".td").removeClass('butactive');
						$("#td" + qw).addClass('butactive');
					}
					loadPage(id, url, from, action);
				}
			}
		});
	});
}



// ставим приоритет сортировки по дате
function SetDataSort(id, url, from, action){
	if(typeof action === "undefined") action = 'viewed';
	$(document).ready(function(){ 
		$.ajax({
			url:"/news/ajx/addSession/usort",
			type:"POST",
			data:"data=1",
			success: function(html){
				if(html != '') alert(html);
				else {
					$("#usort2").removeClass('butactive');
					$("#usort1").addClass('butactive');
					//alert(id+', '+url+', '+from+', '+action)
					loadPage(id, url, from, action);
				}
			}
		});
	});
}

// убираем приоритет сортировки по дате
function UnSetDataSort(id, url, from, action){
	
	if(typeof action === "undefined") action = 'viewed';
	$(document).ready(function(){ 
		$.ajax({
			url:"/news/ajx/delSession/usort",
			success: function(html){
				if(html != '') alert(html);
				else {
					$("#usort1").removeClass('butactive');
					$("#usort2").addClass('butactive');
					//alert(id+', '+url+', '+from+', '+action)
					loadPage(id, url, from, action);
				}
			}
		});
	});
}

$(document).ready(function(){ 

	//показ кнопки смены заглавной картинки
	$(".picConteiner").live({
        mouseenter: function() {
			$(this).children(".selpic").show();
        },
        mouseleave: function(){
			$(this).children(".selpic").hide();	
		}	
	});

	$("#list").click(function(){// если выбрано отображение списком
		slct = 1;
		$('.blog_content').removeClass("show_block");
		$('.list_content').removeClass("hide_block");
		$('.blog_content').addClass("hide_block");
		$('.list_content').addClass("show_block");
		$('#blog').removeClass("active_but");
		$('#list').addClass("active_but");
		$.ajax({
			url:'/news/ajx/SetViewOptions/1'
		});
	});
	
	$("#blog").click(function(){// если выбрано отображение блогом	
		slct = 2;
		$('.list_content').removeClass("show_block");
		$('.blog_content').removeClass("hide_block");
		$('.list_content').addClass("hide_block");
		$('.blog_content').addClass("show_block");
		$('#list').removeClass("active_but");
		$('#blog').addClass("active_but");
		$.ajax({
			url:'/news/ajx/SetViewOptions/2'
		});
	});		
		
	$("#phrase_search").blur(function(){			
		changeCss();
	});
	$("#phrase_search").keydown(function(){			
		changeCss();
	});
	
	//нажата кнопка вывода списком
	$("#list").click(function(){
		$("#list_content").removeClass("hide_block");
		$("#list_content").addClass("show_block");
		$("#blog").removeClass("active_blog");
		$(this).addClass("active_list");
	});
	// нажата кнопка вывода блогом
	$("#blog").click(function(){
		$("#blog_content").removeClass("hide_block");
		$("#blog_content").addClass("show_block");
		$("#list").removeClass("active_list");
		$(this).addClass("active_list");
	});
	
	var intervalOpen;
	var intervalClose;
	
	// всплывающее окно канала	для списка		
	$('.l_source').hover(function(e) {
		var fullid = $(this).attr("id");
		var id = fullid.substr(7);
		var offset = $(this).offset();
		e = e || window.event
		// добавить pageX/pageY для IE
		var x = e.pageX - offset.left;
		var y = e.pageY - offset.top;
		var left=x+30+'px';
		var top=y+5+'px';
		
		intervalOpen = setInterval(function(){ $('#l_sblock_'+id).css({'top': top,'left': left}); $('#l_sblock_'+id).animate({opacity:'show'},'fast'); clearInterval(intervalOpen);}, 100);
		clearInterval(intervalClose);
	}, function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(7);
		intervalClose = setInterval(function(){ $('#l_sblock_'+id).animate({opacity:'hide'},'fast'); clearInterval(intervalClose);},100);
		clearInterval(intervalOpen);
	});
	
	$('.l_rss_sblock').hover(function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(9);	
		$(this).animate({opacity:'show'},'fast');
		clearInterval(intervalClose);
		clearInterval(intervalOpen);
	},function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(9);
		intervalClose = setInterval(function(){$('#l_sblock_'+id).animate({opacity:'hide'},'fast');},100);
		clearInterval(intervalOpen);	
	});
	
	// всплывающее окно канала	для блога		
	$('.b_source').hover(function(e) {
		var fullid = $(this).attr("id");
		var id = fullid.substr(7);
		var offset = $(this).offset();
		e = e || window.event
		// добавить pageX/pageY для IE
		var x = e.pageX - offset.left;
		var y = e.pageY - offset.top;
		var left=x+30+'px';
		var top=y+5+'px';
		
		intervalOpen = setInterval(function(){ $('#b_sblock_'+id).css({'top': top,'left': left}); $('#b_sblock_'+id).animate({opacity:'show'},'fast'); clearInterval(intervalOpen);}, 100);
		clearInterval(intervalClose);
	}, function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(7);
		intervalClose = setInterval(function(){ $('#b_sblock_'+id).animate({opacity:'hide'},'fast'); clearInterval(intervalClose);},300);
		clearInterval(intervalOpen);
	});
	
	$('.b_rss_sblock').hover(function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(9);	
		$(this).animate({opacity:'show'},'fast');
		clearInterval(intervalClose);
		clearInterval(intervalOpen);
	},function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(9);
		intervalClose = setInterval(function(){$('#b_sblock_'+id).animate({opacity:'hide'},'fast');},100);
		clearInterval(intervalOpen);	
	});

	// раскрытие панели расширеного поиска
	$("#moreSearch").click(function(){
		if($("#moreSearch").hasClass("active_but") == false) { //если расширенный поиск скрыт
			$("#moreSearchPanel").slideDown("slow");
			$("#moreSearch").addClass("active_but");
			$.ajax({
				url:"/news/ajx/addSession/moresearch",
				type:"POST",
				data:"data=1",
				success: function(html){
					if(html != "") alert(html);
				}
			});
		} else { // если расширенный поиск показан
			$("#moreSearchPanel").slideUp("slow");
			$("#moreSearch").removeClass("active_but");
			$("#tags_search").val('');
			$("#withdate").val('дд.мм.гггг');
			$("#ondate").val('дд.мм.гггг');
			$.ajax({
				url:"/news/ajx/delSession/moresearch",
				success: function(html){
					if(html != "") alert(html);
				}
			});
			$.ajax({//Удаляем сессию
				url:"/news/ajx/delSession/tags_search",
				success: function(html){
					if(html != '') alert(html);
				}
			});
			$.ajax({//Удаляем сессию
				url:"/news/ajx/delSession/withdate",
				success: function(html){
					if(html != '') alert(html);
				}
			});
			$.ajax({//Удаляем сессию
				url:"/news/ajx/delSession/ondate",
				success: function(html){
					if(html != '') alert(html);
				}
			});
		}
	});

	//позиционируем наш алерт
	var viewportSize = getViewportSize();
	var left_alert = (viewportSize[0]-240)/2;
	var top_alert = (viewportSize[1]-80)/2;
	$("#alert").css({"left": left_alert, "top": top_alert});

	$('#closealert').click(function(){
		$('#alert').animate({opacity:"hide"},"fast");
	});
	$('#windowframeclose').live("click", function(){
		$('#windowframe').css({"visibility":"hidden"});
		$("#frame").empty();
	});
	
	$(".votebut").click(function(){//показать форму авторизации	
		var viewportSize = getViewportSize();
		var left = (viewportSize[0]-400)/2;
		var top = (viewportSize[1]-300)/2;
		$("#authform").css({"left": left, "top": top});
		$("#overlay").show();
		$("#authform").show();
	});
	
	$("#closeauthform").click(function(){//закрыть форму авторизации
		$("#authform").hide();
		$("#overlay").hide();
	});
	
	
	
	//открыть форму добавления сторонней новости в дайджест
	$(".an_digest").live("click",function(){
		var fullid = $(this).attr("id");
		var id = fullid.substr(10); 
		$("#d_link_"+id).val("");
		$("#d_link_"+id).focus();
		$(this).next(".digest_form").show();
	});
	//добавление сторонней новости
	$(".add_dl").live("click",function(){	
		var form = $(this).parent("div").parent("div").parent("div");			
		var fullid = $(this).attr("id");
		var id = fullid.substr(7);
		var lnk = $("#d_link_"+id).val();
		if(lnk.substr(0,7) != 'http://' && lnk.substr(0,8) != 'https://') lnk = 'http://' + lnk ;
		$.ajax({
			url:"/news/ajx/addLinkDigest/"+id,
			dataType:"html",
			type:"POST",
			data:"lnk=" + lnk + "&date=" + $("#dl_date_"+id).val(),
			beforeSend: function(){
				form.children(".timer").show();
				form.children(".fields").hide();
			},
			success:function(html){						
				form.children(".timer").hide();
				form.children(".fields").show();
				form.append('<div style="padding:5px 5px 5px 5px; border:1px solid #999; background-color:#fff; width:350px; position:absolute; top:5px; left:5px;">'+html+'<div class="cand close"></div></div>');						
			}
		});
	});
	//закрыть информер о добавденной новости
	$(".cand").live("click",function(){
		$(this).parent("div").hide();
		$(this).parent("div").parent("div").hide();
	});
	//закрывает форму добавления сторонней новости в дайжест
	$(".close_form_dl").live("click",function(){
		$(this).parent("div").parent("div").children(".d_name").val("");
		$(this).parent("div").parent("div").hide();
	});
	
	
	
	//для формы авторизации
	$(".votebut").click(function(){//показать форму авторизации	
		var viewportSize = getViewportSize();
		var left = (viewportSize[0]-400)/2;
		var top = (viewportSize[1]-300)/2;
		$("#authform").css({"left": left, "top": top});
		$("#overlay").css("z-index", "2500");
		$("#overlay").css("display","block");
		$("#authform").show();
	});
	
	$("#closeauthform").click(function(){//закрыть форму авторизации
		$("#authform").hide();
		$("#overlay").hide();
	});
	
	// нажатие last
	$("#last_loc").live("click", function(){
		var src = $(".view_pic:visible").attr("src");
        if(src == null) src = '';
		var idNow = src.replace(/\W/g, "");
		
		if($(".view_pic_" + idNow).attr("src") == $(".view_pic:first").attr("src")) var srcLast = $(".view_pic:last").attr("src");
		else var srcLast = $(".view_pic_" + idNow).prev(".view_pic").attr("src");
		
		var id = srcLast.replace(/\W/g,"");
		
		showViewer(id);
	});
	
	// нажатие next
	$("#next_loc").live("click", function(){	
		var src = $(".view_pic:visible").attr("src");
		
		var src = $(".view_pic:visible").attr("src");
        if(src == null) src = '';
        var idNow = src.replace(/\W/g,"");
		
		if($(".view_pic_" + idNow).attr("src") == $(".view_pic:last").attr("src")) var srcLast = $(".view_pic:first").attr("src");
		else var srcLast = $(".view_pic_" + idNow).next(".view_pic").attr("src");

        if(srcLast == null) srcLast = '';
        var id = srcLast.replace(/\W/g,"");
		
		showViewer(id);
	});
	
	// нажатие картинки в статье
	$(".picture").live("click", function(){		
		/*var clss = $(this).attr("class");		
		var id = clss.substr(16);
		showViewer(id);
		return false;*/
		var src = $(this).attr("src");
        if(src == null) src = '';
		var id = decodeURIComponent(src).replace(/\W/g,"");
		showViewer(id);
		return false;
	});

	// нажатие картинки в комментарие
	$(".com_pic").live("click", function(){
		var src = $(this).attr("src");
        if(src == null) src = '';
        var id = src.replace(/\W/g,"");
		showViewer(id);
		return false;
	});
	
	$("#last_loc").live({
        mouseenter:function(){
            $("#pic_last").show();
        }, mouseleave:function(){
            $("#pic_last").hide();
        }
    });

    $("#next_loc").live({
        mouseenter:function(){
            $("#pic_next").show();
        }, mouseleave:function(){
            $("#pic_next").hide();
        }
    });

    $("#overlay").live({
        mouseenter:function(){
            $(".overlay_close").animate({opacity:'show'},'slow');
        }, mouseleave:function(){
            $(".overlay_close").animate({opacity:'hide'},'fast');
        }
    });

	function showViewer(id) {
		//скрываем текущее изображение и список его тегов 
		$(".view_pic").hide();
		$(".pictag").hide();
		
		var nm = 0;
		var nmImg = 0;
		$("#imgBody .view_pic").each(function (i, elem) {
			var src = $(elem).attr('src');
            if(src == null) src = '';

            if(decodeURIComponent(src).replace(/\W/g, "") == id) nmImg = nm;
			nm++;
		});
		
		// получаем размер экрана	
		var windowHeight = $(window).height();
		var windowWidth  = $(window).width();
		
		// выставляем размер отображаемой картинки
		
		var max_height = (windowHeight - 150);
		var max_width = windowWidth;

		var height = $(".view_pich_" + id).attr("height");
		var width = $(".view_pich_" + id).attr("width");

		$(".fullpic").attr("href", $('.view_pich_' + id).attr('src'));
					
		var heightOld = height;
		var widthOld = width;
		
		var h = max_height - height;
		var w = max_width - width;

        //console.log("height > max_height || width > max_width", height +'>'+ max_height +'||'+ width +'>'+ max_width);
		if(height > max_height || width > max_width || (height > max_height && width > max_width)){
			if(w > h) {
				//console.log("w > h true");
				var ratio = height/max_height;
				height = max_height;
				width = width/ratio;
			} else {
                //console.log("w > h false");
				var ratio = width/max_width;
				width = max_width;
				height = height/ratio;
			}
		}
		
		//alert("max_width: " + max_width + " / max_height: " + max_height + " widthOld: " + widthOld + " / heightOld: " + heightOld + " w: " + w + " / h: " + h + " width: " + width + " / height: " + height + " ratio(" + height/max_height + "): " + ratio);
		
		$(".view_pic_" + id).css("height", height + "px");
		$(".view_pic_" + id).css("width", width + "px");

		if(height > max_height || width > max_width){
				
			var ratio = max_width/max_height;
			var src_ratio = width/height;
			
			if(ratio > src_ratio) height = max_width/src_ratio;
			else width = max_height*$src_ratio;
			
			$(".view_pic_" + id).css("height", height + "px");
			$(".view_pic_" + id).css("width", width + "px");	
		}
		//alert("w: " + width + " / h: " + height)
		
		//вычесляем отступ от краёв для блока вьювера
		var top_pos = (Math.floor(windowHeight - height) - 95) / 2;
		var left_pos = (Math.floor(windowWidth - width) - 10) / 2 ;
		
		//ссылка на исходник
		$("#fullwind").attr({ href: $(".view_pic" + id).attr("src")});
		$("#numimg").html("<b>Фотография "+(nmImg-0+1)+" из " + $(".view_pic").size() + "</b>");
		
		// определяем начальный размер области показа картинок
		var viewerBodyHeight = height + 85;
		var viewerBodyWidth  = width;

		$("#contenerBut").css("width", width + "px");
		$("#contenerBut").css("height", height + "px");
        if (width < 620) var WIGHT = 620;
        else var WIDTH = width;
		$(".pictag_" + id +" .taglist").css("width", (WIDTH - 20) + "px");

        if (viewerBodyWidth < 620) {
            var _WIDTH = 620;
            var _left_pos = left_pos - (620 - viewerBodyWidth)/2;
            var margin_left = Math.floor((620 - width) / 2);
            $('#imgs .view_pic_' + id).css("margin-left", margin_left + "px");
        } else {
            var _WIDTH = viewerBodyWidth;
            var _left_pos = left_pos;
        }


        $("#imgBody").css("width", _WIDTH + "px");
        $("#imgBody").css("height", height + "px");
		$("#viewerBody").css("top", top_pos + "px");
		$("#viewerBody").css("left", _left_pos + "px");
		$("#viewerBody").css("width", _WIDTH + "px");
		$("#viewerBody").css("height", viewerBodyHeight + "px");
		$("#overlay").show();
		$("#viewerBody").show();
		$(".view_pic_" + id).show();
		$(".pictag_" + id).show();
	}

    $(".taglist").live({
        mouseenter: function(e){
            $(this).removCss
            $(this).removCss
        }, mouseleave:  function(e){

        }

    })
	
	if($("#taginfo").css("height") > $("#taginfo p").css("height")){
		$("#taginfo_more").show();
	}
	$("#taginfo_more").click(function(){		
		if($("#taginfo").css("height") == '200px'){
			var height = $("#taginfo p").css("height");
			var hght = height.match( /\d+/g )-0+51;
			$("#taginfo").animate({height: hght}, "slow");
			$("#taginfo_more b").text('Скрыть часть текста');
		} else {
			$("#taginfo").animate({height: "200"}, "slow");
			$("#taginfo_more b").text('Показать полностью');
		}
	});
});

/* маркирование новостей */
(function($,window,document){
	$.selection = function (w){
		var wind = w || window;
		var selectionInfo = false;
		var get = function (){
			selectionInfo = getSelectionFragment();
			return selectionInfo;
		};
		var set = function (text,callback){
			this.get();
			if( (callback && $.isFunction(callback))||( $.isFunction(text) && (callback=text) ))
				text = callback(text,selectionInfo,replaceSelection);
			text!==false && replaceSelection(text);
		};
		var replaceSelection = function (text){
			if(!selectionInfo.ie){
				selectionInfo.rang.deleteContents();
				var documentFragment = toDOM(text);
				selectionInfo.rang.collapse(false);
				selectionInfo.rang.insertNode(documentFragment);
			}else{
				selectionInfo.selectedText.pasteHTML(text);
			}
		}
		var getSelectionFragment = function(){
			var ie = false;
			if ( wind.getSelection ) { 
				var selectedText = wind.getSelection(); 
			} else if ( wind.document.getSelection ) { 
				var selectedText = wind.document.getSelection(); 
			} else if ( wind.document.selection ) { 
				ie = true;
				var selectedText = wind.document.selection.createRange(); 
			} 
			if(!ie){
				var rang = selectedText.getRangeAt(0);
				var theParent = rang.cloneContents(); 
				return {'ie':false,'text':selectedText,'html':toHTML(theParent),'rang':rang};
			}else{
				return {'ie':true,'text':selectedText.text,'html':selectedText.htmlText,'selectedText':selectedText};
			}
		};
		var toHTML = function (docFragment){ 
			var d = wind.document.createElement('div'); 
			d.appendChild(docFragment);
			return d.innerHTML; 
		};
		var toDOM = function(HTMLstring){ 
			var d = wind.document.createElement('div'); 
			d.innerHTML = HTMLstring; 
			var docFrag = wind.document.createDocumentFragment();  // тут тоже важный момент, я с этим пол дня провозился
			while (d.firstChild) { 
				docFrag.appendChild(d.firstChild) ;
			}; 
			return docFrag; 
		} ;
		return {'get':get,'set':set}
	}
})(jQuery,window,document)

function red(){
	changeText('#ff4012')
}
function yellow(){
	changeText('#f5d334')
}
function green(){
	changeText('#8ed401')
}

(function($,window,document){
    $.selection = function (w){
        var wind = w || window;
        var selectionInfo = false;
        var get = function (){
            selectionInfo = getSelectionFragment();
            return selectionInfo;
        };
        var set = function (text,callback){
            this.get();
            if( (callback && $.isFunction(callback))||( $.isFunction(text) && (callback=text) ))
                text = callback(text,selectionInfo,replaceSelection);
            text!==false && replaceSelection(text);
        };
        var replaceSelection = function (text){
            if(!selectionInfo.ie){
                selectionInfo.rang.deleteContents();
                var documentFragment = toDOM(text);
                selectionInfo.rang.collapse(false);
                selectionInfo.rang.insertNode(documentFragment);
            }else{
                selectionInfo.selectedText.pasteHTML(text);
            }
        }
        var getSelectionFragment = function(){
            var ie = false;
            if ( wind.getSelection ) {
                var selectedText = wind.getSelection();
            } else if ( wind.document.getSelection ) {
                var selectedText = wind.document.getSelection();
            } else if ( wind.document.selection ) {
                ie = true;
                var selectedText = wind.document.selection.createRange();
            }
            if(!ie){
                var rang = selectedText.getRangeAt(0);
                var theParent = rang.cloneContents();
                return {'ie':false,'text':selectedText,'html':toHTML(theParent),'rang':rang};
            }else{
                return {'ie':true,'text':selectedText.text,'html':selectedText.htmlText,'selectedText':selectedText};
            }
        };
        var toHTML = function (docFragment){
            var d = wind.document.createElement('div');
            d.appendChild(docFragment);
            return d.innerHTML;
        };
        var toDOM = function(HTMLstring){
            var d = wind.document.createElement('div');
            d.innerHTML = HTMLstring;
            var docFrag = wind.document.createDocumentFragment();  // тут тоже важный момент, я с этим пол дня провозился
            while (d.firstChild) {
                docFrag.appendChild(d.firstChild) ;
            };
            return docFrag;
        } ;
        return {'get':get,'set':set}
    }
})(jQuery,window,document)


function changeText(color){
    obj = $.selection().get();

	var txt = obj.html;

	$.selection().set('<span class="row_marker" style="color:#000; background-color:' + color + ';" title="">' + txt + '<span class="baseFunct"><span class="edit edit_marker" title="добавить комментарий"></span><span class="close del_marker" title="удалить маркер"></span></span></span>');
	
	// сохраняем метку
	var str = $("#anonce").html();
    if (str == null) str = '';
    var anonce = str.replace(/&/g, '|and|');
	var id_row = $("#id_row").text();
	var type_row = $("#type_row").text();
	$.ajax({
		url:"/news/ajx/setMarkers",
		type:"POST",
		data:"anonce=" + anonce + "&id_row=" + id_row + "&type_row=" + type_row,
        error: function(){
        },
        dataType: 'json',
		success: function(json){
            if($(".markerLink").is("#markerLink" + json.id)){
                $(".markerLink").hide();
                $("#markerLink" + json.id).show();
            } else {
                $(".markerBox").html('<span id="markerLink'  + json.id + '" class="markerLink" ><b>Ссылка:</b>&nbsp;&nbsp;<a href="' + json.link + '">' + json.link + '</a></span>');
                $("#markerLink" + json.id).show();
            }
		}
	});
}

$(document).ready(function(){
	var objectChange = '';
	var startText = $("#anonce").html();
	
	$("#showMarker").change(function(){
		var id_user = $("#showMarker").val();
		if(id_user != 0){
			var id_row = $("#id_row").text();
			var type_row = $("#type_row").text();
			$.ajax({
				url:"/news/ajx/getMarkers",
				type:"POST",
				data:"id_user=" + id_user + "&id_row=" + id_row + "&type_row=" + type_row,
				success: function(html){
					$("#anonce").html(html);					
					$('.markerLink').hide();
					$('#markerLink' + id_user).show();
				}
			});
		} else {					
			$('.markerLink').hide();
			$("#anonce").html(startText);
		}
	});
	
	$("#markerPanel").hover(function(){
		$(this).stop().animate({opacity:1}, "slow");
	},function(){
		$(this).stop().animate({opacity:0.2}, "slow");
	});
	
	$(".closeCMP").click(function(){
		$("#comMarkerPanel").hide();
	});
	
	$(".edit_marker").live("click", function(){	
		objectChange = $(this).parent(".baseFunct").parent(".row_marker").add("actv");	
		var offset = $(this).offset();
		$("#comMarkerPanel").css("top", offset.top-100).css("left", offset.left-200).show();
	});
	
	$("#saveMarkerBut").live("click",function(){
		objectChange.attr("title",$("#comMarkerPanel").children("#textMarker").val().replace(/"/g, ''));
		$("#comMarkerPanel").children("#textMarker").val('');
		$("#comMarkerPanel").hide();
		
		// сохраняем метку
		var anonce = $("#anonce").html().replace(/&/g, '|and|');
		var id_row = $("#id_row").text();
		var type_row = $("#type_row").text();
		$.ajax({
			url:"/news/ajx/setMarkers/",
			type:"POST",
			data:"anonce=" + anonce + "&id_row=" + id_row + "&type_row=" + type_row,
			success: function(html){
				$("#linkMarkerData").text(html);
				$("#linkMarker").show();
			}
		});
	});
	
	$(".row_marker").live({mouseenter:function(){
			$(this).children(".baseFunct").children(".del_marker").show();
			$(this).children(".baseFunct").children(".edit_marker").show();
	   }, mouseleave: function(){
			$(this).children(".baseFunct").children(".del_marker").hide();
			$(this).children(".baseFunct").children(".edit_marker").hide();			
	   }
    });	
		
	
	$("#com_marker").mousedown(function(){
		changeText('');
	});
	
	
	$(".del_marker").live("click", function(){
		$(this).parent(".baseFunct").parent(".row_marker").removeAttr("style").removeAttr("title").removeClass("row_marker")
		$(this).parent(".baseFunct").remove();
		var anonce = $("#anonce").html().replace(/&/g, '|and|');
		var id_row = $("#id_row").text();
		var type_row = $("#type_row").text();
		$.ajax({
			url:"/news/ajx/setMarkers/",
			type:"POST",
			data:"anonce=" + anonce + "&id_row=" + id_row + "&type_row=" + type_row,
			success: function(html){
				$("#linkMarkerData").text(html);
				$("#linkMarker").show();
			}
		});
	});
	
	/* редактирование новости */
	$(".editnews").click(function(){
		if($(this).attr("title") == "Редактировать запись"){
			$(this).attr("title", "Сохранить изменения");
			$(this).addClass("editnewssave");
			var h = $("#anonce").height();		
			var height = h - h/2;
			//alert(height);
			$(".editanonce").css("height", height);
			$("#editblock").show();
			$("#anonce").hide();
		} else {
            $('#saveEditNewsForm').submit();

			/*var id_row = $("#id_row").text();
			var type_row = $("#type_row").text();
			$(this).attr("title", "Редактировать запись");
			$(this).removeClass("editnewssave");
			var anonce = $(".editanonce").val();
			$.ajax({
				url:"/news/ajx/saveEditNews",
				type:"POST",
				data:"anonce=" + anonce.replace(/\&/g, '|and|') + "&id_row=" + id_row + "&type_row=" + type_row,
                dataType: 'json',
				beforeSend: function(){
					$("#editblock").hide();
					$("#anonce").html('<div align="center"><img src="/img/sys/timer.gif" alt="timer" /></div>');
					$("#anonce").show();
				},
				success: function(json){
					$("#anonce").html(json.anonce);
                    $('#buildViewer').empty();
                    $('#buildViewer').html(json.viewer);
				}
			});*/
		}
	});

	var i = 1;
	var max_slide = 2;// максимально слайдов
	var start = 1;
	var interval = 0;
	var move = 1 //направление 1-слева направа, 0 с права на лева
	function slider(){	
		//следующий слайд							
		if(i == max_slide) next = 0;
		else next = i+1;
		//предыдущий слайд							
		if(i == 0) last = max_slide;
		else last = i-1;
		
		$(".slidebutsel").removeClass("slidebutsel");
		$("#slidebut_"+i).addClass("slidebutsel");	
		$("#slide_"+i).show();
		$("#slide_"+i).animate({"left": "0px"}, "slow");	
		if(move == 1) $("#slide_"+next).hide();	
		else {
			move = 1;
			$("#slide_"+last).hide();		
		}			
		$("#slide_"+next).animate({"left": "440px"}, "slow");	
		$("#slide_"+last).animate({"left": "-440px"}, "slow");
		if(i < max_slide)i = i+1;
		else i = 0;
	}	
	
	function timer(){
		clearInterval(interval);
		interval = setInterval(function(){
			slider();				
		}
		, 8000);
	}
	
	
	if(start == 1) { // первый запуск
		timer();
		start = 0;
	}
	
	$("#slidebut_0").click(function(){
		//alert(i);
		if(i == 2) move = 0;		
		i = 0;
		slider();
		timer();
	});
	$("#slidebut_1").click(function(){
		if(i == 0) move = 0;					
		i = 1;
		slider();
		timer();
	});
	$("#slidebut_2").click(function(){	
		if(i == 1) move = 0;					
		i = 2;
		slider();
		timer();
	});
	
});








// JavaScript Document
//реализация кнопок редактирования тега
$(document).ready(function(){

    function insertTagForTag(obj, start, end){//_obj_name - имя textarea, _tag_start - что вставлять перед выделенным текстом,	 _tag_end - что вставлять после выделенного текста

        element = document.getElementById(obj);
        var count = 0;

        if (document.selection) {
            element.focus();
            sel = document.selection.createRange();
            sel.text = start + sel.text + end;
            count = sel.text.length;
        } else if (element.selectionStart || element.selectionStart == '0') {
            element.focus();
            var startPos = element.selectionStart;
            var endPos = element.selectionEnd;
            element.value = element.value.substring(0, startPos) + start + element.value.substring(startPos, endPos) + end + element.value.substring(endPos, element.value.length);
            count = endPos - startPos;
        } else {
            element.value += start + end;
        }
        return count;
    }// end function

    function cursor_positionForTag(_obj_name) {// возвращает позицию курсора (cursor) в textarea

        var area = document.getElementsByName(_obj_name).item(0);
        area.focus();

        // для всех нормальных браузеров
        if(area.selectionStart) {
            return area.selectionStart;// возвращаем позицию курсора в texarea
        } else if (document.selection) {// для ИЕ
            // если честно нижний код даже комментировать не хочется, это такой гемор, что прям вообще
            var sel=document.selection.createRange();
            var clone=sel.duplicate();
            sel.collapse(true);
            clone.moveToElementText(obj);
            clone.setEndPoint('EndToEnd',sel);
            return clone.text.length;// возвращаем, где стоит курсор
        }
        return 0;// по умолчанию курсор будет стоять в начале
    }// /function cursor_position

    function cursor_endForTag(_obj_name) {// Выполняет: перемещение курсора (cursor) textarea в конец

        var area=document.getElementsByName(_obj_name).item(0);

        // Для всех Нормальных браузеров
        if (area.selectionStart){ // узнаем длину содержимого textarea
            var len=area.value.length;

            area.focus();// aктивируем фокус ввода на объекте
            area.setSelectionRange(len,len);// перемещаемся в конец текста в объекте
            area.focus();// aктивируем фокус ввода на объекте
        } else if (area.createTextRange) {	// отдельная корявка под Internet Explorer
            var r=area.createTextRange();
            // Свойство collapsed вернет true, если граничные точки имеют
            // одинаковые контейнеры и смещение (false в противном случае)
            r.collapse(false);
            r.select();
        }
    }// /function cursor_end

    //перемещает курсор в заданную позицию
    function setSelectionRange(_obj_name, offset) {

        input = document.getElementById(_obj_name);
        selectionStart = offset;
        selectionEnd = offset;

        if (input.setSelectionRange) {
            input.focus();
            input.setSelectionRange(selectionStart, selectionEnd);
        }
        else if (input.createTextRange) {
            var range = input.createTextRange();
            range.collapse(true);
            range.moveEnd('character', selectionEnd);
            range.moveStart('character', selectionStart);
            range.select();
        } else {
            console.log('none');
        }

    }

     $("#new_but_b").live("click", function(){
         var cursor = cursor_positionForTag("tagdesc");
         var simvols = insertTagForTag("tagdesc", "[b]", "[/b]");
         var newPosition = cursor - 0 + 7 + simvols;
         setSelectionRange("tagdesc", newPosition);
         //cursor_endForTag("tagdesc");
         return false;
    });

    $("#new_but_i").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[i]", "[/i]");
        var newPosition = cursor - 0 + 7 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        return false;
    });

    $("#new_but_u").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[u]", "[/u]");
        var newPosition = cursor - 0 + 7 + simvols;
        setSelectionRange("tagdesc", newPosition);
        cursor_endForTag("tagdesc");
        return false;
    });
    $("#new_but_s").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[s]", "[/s]");
        var newPosition = cursor - 0 + 7 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        return false;
    });

    $("#new_but_c").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[quote]", "[/quote]");
        var newPosition = cursor - 0 + 15 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        position = cursor_positionForTag("tagdesc");
        if(position == 0) {
            offset = position+7;
        } else {
            offset = position-8;
        }
        setSelectionRange("tagdesc", offset);
        return false;
    });

    $("#new_but_l").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        addlink = prompt('Введите URL:',"http://");
        if(addlink != null && addlink != "" && addlink != "http://") {
            var simvols = insertTagForTag("tagdesc", "[URL="+addlink+"]", "[/URL]");
        }
        var newPosition = cursor;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        return false;
    });

    $("#new_but_jl").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[just=left]", "[/just]");
        var newPosition = cursor - 0 + 18 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        return false;
    });

    $("#new_but_jc").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[just=center]", "[/just]");
        var newPosition = cursor - 0 + 20 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_end("tagdesc");
        return false;
    });

    $("#new_but_jr").live("click", function(){
        var cursor = cursor_positionForTag("tagdesc");
        var simvols = insertTagForTag("tagdesc", "[just=right]", "[/just]");
        var newPosition = cursor - 0 + 19 + simvols;
        setSelectionRange("tagdesc", newPosition);
        //cursor_endForTag("tagdesc");
        return false;
    });

});